### Class

# Foundry ForgeUser

#### Description [src]

    abstract class Foundry.ForgeUser : GObject.Object
    {
      /* No available fields */
    }

Represents a user on a forge.

#### Ancestors

- GObject

#### Instance methods

###### foundry_forge_user_dup_avatar_url

No description available.

since: 1.1

###### foundry_forge_user_dup_bio

No description available.

since: 1.1

###### foundry_forge_user_dup_handle

No description available.

since: 1.1

###### foundry_forge_user_dup_location

No description available.

since: 1.1

###### foundry_forge_user_dup_name

No description available.

since: 1.1

###### foundry_forge_user_dup_online_url

No description available.

since: 1.1

###### foundry_forge_user_load_avatar

No description available.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.ForgeUser:avatar-url

No description available.

###### Foundry.ForgeUser:bio

No description available.

###### Foundry.ForgeUser:handle

No description available.

###### Foundry.ForgeUser:location

No description available.

###### Foundry.ForgeUser:name

No description available.

###### Foundry.ForgeUser:online-url

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryForgeUserClass {
      GObjectClass parent_class;
      char* (* dup_handle) (
        FoundryForgeUser* self
      );
      char* (* dup_name) (
        FoundryForgeUser* self
      );
      char* (* dup_avatar_url) (
        FoundryForgeUser* self
      );
      char* (* dup_online_url) (
        FoundryForgeUser* self
      );
      char* (* dup_bio) (
        FoundryForgeUser* self
      );
      char* (* dup_location) (
        FoundryForgeUser* self
      );
      DexFuture* (* load_avatar) (
        FoundryForgeUser* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_handle: char* (* dup_handle) ( FoundryForgeUser* self )`

  No description available.

`dup_name: char* (* dup_name) ( FoundryForgeUser* self )`

  No description available.

`dup_avatar_url: char* (* dup_avatar_url) ( FoundryForgeUser* self )`

  No description available.

`dup_online_url: char* (* dup_online_url) ( FoundryForgeUser* self )`

  No description available.

`dup_bio: char* (* dup_bio) ( FoundryForgeUser* self )`

  No description available.

`dup_location: char* (* dup_location) ( FoundryForgeUser* self )`

  No description available.

`load_avatar: DexFuture* (* load_avatar) ( FoundryForgeUser* self )`

  No description available.

#### Virtual methods

###### Foundry.ForgeUserClass.dup_avatar_url

No description available.

since: 1.1

###### Foundry.ForgeUserClass.dup_bio

No description available.

since: 1.1

###### Foundry.ForgeUserClass.dup_handle

No description available.

since: 1.1

###### Foundry.ForgeUserClass.dup_location

No description available.

since: 1.1

###### Foundry.ForgeUserClass.dup_name

No description available.

since: 1.1

###### Foundry.ForgeUserClass.dup_online_url

No description available.

since: 1.1

###### Foundry.ForgeUserClass.load_avatar

No description available.

since: 1.1